
Tripnet - Bug #40538
Hotel|Search issue
05/31/2018 03:47 pm - Albin Paul

Status: Closed Start date: 06/04/2018
Priority: High Due date: 06/04/2018
Assignee: % Done: 100%
Category: Functionality Estimated time: 5.00 hours
Target version: Spent time: 20.05 hours
End_Date: 06/06/2018 Areas Affected:
remarks: Files Changed:
DB Changes: Initial Planned Hours:
Keys & Permissions:
Description

Hotel search is only showing result for Kuwait and Dubai city searches.Modify search also not working for hotel. Please fix for all
API.Check with static data and without static data.Make sure all api's have result when search with all api.

Please check miki, the agent ID is not passed in request

<errorCode>001</errorCode>
            <errorText>XML is not well formed: XML parsing error, line: 1,column: 206, uri: null, msg:cvc-complex-type.2.4.a: Invalid
content was found starting with element 'requestPassword'. One of '{agentCode}' is expected.: cvc-complex-type.2.4.a: Invalid
content was found starting with element 'requestPassword'. One of '{agentCode}' is expected.</errorText>
            <errorSolution>Modify the XML. Ensure that the XML is well formed before resending.</errorSolution>

History
#1 - 06/01/2018 10:04 am - Sreerag Prasannan
- Description updated

#2 - 06/01/2018 12:08 pm - Albin Paul
- Description updated

#3 - 06/04/2018 08:52 am - Jubin J
- Due date set to 06/04/2018
- Status changed from New to Assigned
- Assignee set to Dipin K Pushpan
- Start date changed from 05/31/2018 to 06/04/2018

#4 - 06/04/2018 08:53 am - Jubin J
- Estimated time set to 5.00

#5 - 06/04/2018 11:34 am - Dipin K Pushpan
- Status changed from Assigned to In Progress

#6 - 06/04/2018 06:05 pm - Dipin K Pushpan
- Status changed from In Progress to Need more info
- Assignee changed from Dipin K Pushpan to Albin Paul
- % Done changed from 0 to 30

1) while searching for another city result was loading, Please specify for which all API the issue exist and also specify does the issue occurs when
using static data or not.

2)The issue is due to in the Keys.xml in admin side for miki provider the key for user name is not correct. The value should be given as follows.
    <api id="13" name="MikiNetHotel">
            <key>
                <name>User Name</name>
                <type>text</type>
                <value>UserName</value>
            </key>

#7 - 06/05/2018 07:52 am - Albin Paul
- Status changed from Need more info to In Progress
- Assignee changed from Albin Paul to Dipin K Pushpan

After first publish above explained bug was existed.After recent publishes i am getting results for all cities.However issue exist if we search with all
api's and result showing only for only one api where in log result is getting for all api's.And issue found after setting the key useoffline true.No results
where getting.Modify search is still not working.

#8 - 06/06/2018 05:42 pm - Dipin K Pushpan
- Status changed from In Progress to Fixed not Tested
- % Done changed from 30 to 100
- End_Date set to 06/06/2018

#9 - 07/03/2018 09:06 am - Albin Paul
- Status changed from Fixed not Tested to Not Fixed

2nd issue still exist. agent ID is not passed in request.And error code is generated in response.

#10 - 07/04/2018 02:04 pm - Dipin K Pushpan
- Status changed from Not Fixed to In Progress

#11 - 07/04/2018 02:06 pm - Dipin K Pushpan

Holding to do sfraah task

#12 - 07/04/2018 02:07 pm - Dipin K Pushpan
- Status changed from In Progress to On hold

Holding to do sfraah task

#13 - 07/09/2018 11:43 am - Dipin K Pushpan
- Status changed from On hold to In Progress

#14 - 07/09/2018 12:01 pm - Dipin K Pushpan
- Status changed from In Progress to Fixed not Tested
The issue was due to in web config "MikiPasswordWeb" key was missing.It is now working in 100 also.

#15 - 07/09/2018 12:08 pm - Dipin K Pushpan
- File tripneterror.png added
- File 636667432248444777_citySearchRequest.xml added
- File 636667432282819610_citySearchResponse.xml added

Attaching screen shot and XML response for ref.

#16 - 07/10/2018 07:36 am - Albin Paul
- Status changed from Fixed not Tested to Closed
- Assignee deleted (Dipin K Pushpan)

Issue fixed.

Files
tripneterror.png 253 KB 07/09/2018 Dipin K Pushpan
636667432248444777_citySearchRequest.xml 1.1 KB 07/09/2018 Dipin K Pushpan
636667432282819610_citySearchResponse.xml 284 KB 07/09/2018 Dipin K Pushpan
